Status: New Start date: 2009-11-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I think it would be usefull to keep trace in the database of all received emails with their status (OK, ignored, failure). Administrator

would have access to this log for auditing or debugging purpose.

These logs would include the email address of the sender, the email subject and Message-ID and some debug information. Maybe

other info would be usefull as well.

What do you think?

Related issues:

Related to Redmine - Feature #21158: Send E-Mail to Redmine: Copy E-Mail Head... New

History

#1 - 2009-11-28 16:17 - Jesús Criado

+1

We like that feature. Much better than our workaround adding extra log code.

Maybe some feedback (mail) for senders with errors in their mail's body could be useful. It could be automatized based on a few fields that could be

specified as mandatory to be parsed ok (eg. at least sender & project).

#2 - 2009-11-30 15:37 - Robert Chady

In general, any additional audit trail/logging that can be neatly added to Redmine is a Good Thing[tm] in my opinion.  Since email handling is a

frequent area of questions, providing a trail would be very useful, not only to end users but also to people supporting Redmine in #redmine.

#3 - 2009-12-04 19:17 - Jean-Philippe Lang

- Target version set to 1.0.0 (RC)

#4 - 2009-12-09 03:43 - Eric Davis

+1 I also think the plain text email body should be included as well as any keywords Redmine found.

Part of me thinks this should be a plugin though (could be bundled with Redmine).  Add some hooks to MailHandler and then add a simple panel in

the Administration Panel.  Thoughts?

#5 - 2009-12-20 10:43 - Jean-Philippe Lang

Eric Davis wrote:

+1 I also think the plain text email body should be included as well as any keywords Redmine found.

 I agree.

Part of me thinks this should be a plugin though (could be bundled with Redmine).  Add some hooks to MailHandler and then add a simple panel

in the Administration Panel.  Thoughts?

 It would be an important feature for those who receive emails. So I think it should definitely be added to the core.

#6 - 2010-06-02 20:04 - Robert Chady

Any way this could also include a log of emails that were generated and sent via Redmine?  This would help for those cases of 'I never received a

copy of this notice...'
#7 - 2010-06-15 00:46 - Eric Davis

- Target version deleted (1.0.0 (RC))

Removing from 1.0. This hasn't been completed and 1.0 is feature frozen.

#8 - 2018-09-15 09:33 - Go MAEDA

- Related to Feature #21158: Send E-Mail to Redmine: Copy E-Mail Header into Ticket Note added
